FlatConfig (Grails 3.1.4)
Date: 2016-03-16

Package: org.grails.config

## [Java] Class FlatConfig

- org.grails.config.FlatConfig

- All Implemented Interfaces and Traits:
    java.util.Map

      @java.lang.Deprecated
      public class FlatConfig
      extends java.lang.Object

  deprecated:
    Here for backwards compatibility, do not use directly
  Authors:
    Graeme Rocher
  Since:
    3.0.10

- - ### Constructor Summary

    Constructors
    Constructor and description
    `FlatConfig (Config config)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `clear()`
    `boolean` | `containsKey(java.lang.Object key)`
    `boolean` | `containsValue(java.lang.Object value)`
    `java.util.Set<Entry<java.lang.String, java.lang.Object>>` | `entrySet()`
    `java.lang.Object` | `get(java.lang.Object key)`
    `boolean` | `isEmpty()`
    `java.util.Set<java.lang.String>` | `keySet()`
    `java.lang.Object` | `put(java.lang.String key, java.lang.Object value)`
    `void` | `putAll(java.util.Map<? extends java.lang.String, ?> m)`
    `java.lang.Object` | `remove(java.lang.Object key)`
    `int` | `size()`
    `java.util.Collection<java.lang.Object>` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public FlatConfig(Config config)

  - ### Method Detail

    - #### @java.lang.Override public void clear()

    - #### @java.lang.Override public boolean containsKey(java.lang.Object key)

    - #### @java.lang.Override public boolean containsValue(java.lang.Object value)

    - #### @java.lang.Override public java.util.Set<Entry<java.lang.String, java.lang.Object>> entrySet()

    - #### @java.lang.Override public java.lang.Object get(java.lang.Object key)

    - #### @java.lang.Override public boolean isEmpty()

    - #### @java.lang.Override public java.util.Set<java.lang.String> keySet()

    - #### @java.lang.Override public java.lang.Object put(java.lang.String key, java.lang.Object value)

    - #### @java.lang.Override public void putAll(java.util.Map<? extends java.lang.String, ?> m)

    - #### @java.lang.Override public java.lang.Object remove(java.lang.Object key)

    - #### @java.lang.Override public int size()

    - #### @java.lang.Override public java.util.Collection<java.lang.Object> values()